#

## save

Save edit cell on disk

### Usage:

> save [filename]

> > where filename is a new name for the cell as well as the root name of the `.mag` file to be saved.

### Summary:

> The save command saves the current edit cell to disk. If filename is specified, then the layout will be saved to "filename`.mag`", and the current edit cell will be renamed to filename.

> The save command differs from writeall in several ways: save does not descend the hierarchy, and does not prompt the user for an action.

### Implementation Notes:

> save is implemented as a built-in command in magic.

### See Also:

> writeall

Return to command index

Last updated: October 8, 2004 at 2:05am